USN-2983-1: Expat vulnerability

18 May 2016

Expat could be made to crash or run programs as your login if it opened a specially crafted file.

Releases

Packages

  • expat - XML parsing C library

Details

Gustavo Grieco discovered that Expat incorrectly handled malformed XML
data. If a user or application linked against Expat were tricked into
opening a crafted XML file, an attacker could cause a denial of service, or
possibly execute arbitrary code. (CVE-2016-0718)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 16.04
Ubuntu 15.10
Ubuntu 14.04
Ubuntu 12.04

After a standard system upgrade you need to restart any applications linked
against Expat to effect the necessary changes.

References

Related notices